package com.jld.vod.dao

import androidx.paging.DataSource
import androidx.room.*
import com.jld.vod.model.bean.FindAboutAllBean


/**
 * @author ZhaoFuXin
 * @Email：18276061387@163.com
 * @description:
 * @date :2019/11/28 15:31
 */
@Dao
interface AboutDao {
    @Insert
    fun insertAll(vararg users: FindAboutAllBean)

    @Query("SELECT * FROM FindAboutAllBean")
    fun getAll(): List<FindAboutAllBean>

    /**
     * 获取所有设备给paging使用
     */
    @Query("SELECT * FROM FindAboutAllBean")
    fun getAlls(): DataSource.Factory<Int, FindAboutAllBean>

    @Query(" DELETE FROM FindAboutAllBean")
    fun delete()
}